# Introduction

This is a [Helm](https://helm.sh/) chart for installing Mastodon into a
Kubernetes cluster.  The basic usage is:

```
cp values.yaml.template values.yaml
edit values.yaml # configure required settings
helm dep update
helm upgrade --install my-mastodon ./
```

This chart has been tested on Helm 3.0.1 and above.

# Configuration

The variables that _must_ be configured are:

- `ingress.hostname`; even if you aren’t using an Ingress, this value is used to
  set `LOCAL_DOMAIN`.

- password and keys in the `secrets`, `postgresql`, and `redis` groups; if
  left blank, some of those values will be autogenerated, but will not persist
  across upgrades.

- SMTP settings for your mailer in the `smtp` group.

# Missing features

Currently this chart does _not_ support:

- Hidden services
- S3/Minio/GCS
- Single Sign-On
- Swift
- configurations using `WEB_DOMAIN`

# Upgrading

Because database migrations are managed as a Job separate from the Rails and
Sidekiq deployments, it’s possible they will occur in the wrong order.  After
upgrading Mastodon versions, it may sometimes be necessary to manually delete
the Rails and Sidekiq pods so that they are recreated against the latest
migration.
